Skip to main content
`Ctrl`+`K`

# open_data_store

open_data_store(base_path: str | Path, suffix: str | None = None, limit: int | None = None, mode: str | Mode = Mode.r, **kwargs: Any) → DataStoreABC

  returns DataStore instance of a type specified by the path suffix

  Parameters:
    base_path

      path to directory or db

    suffix

      suffix of filenames

    limit

      the number of matches to return

    mode

      opening mode, either r, w, a as per file opening modes